Bug 1306972 - (php-mock/php-mock-phpunit) Review Request: php-mock-phpunit - Mock built-in PHP functions with PHPUnit.
Review Request: php-mock-phpunit - Mock built-in PHP functions with PHPUnit.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On: php-mock/php-mock php-mock/php-mock-integration
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-12 05:22 EST by Remi Collet
Modified: 2016-04-21 21:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-17 19:41:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (4.23 KB, text/plain)
2016-04-12 14:50 EDT, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (2.99 KB, text/plain)
2016-04-12 14:51 EDT, Shawn Iwinski
no flags Details
fedora-review.txt (7.18 KB, text/plain)
2016-04-12 14:52 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2016-02-12 05:22:45 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/107af67ec619a1a5a5592fd32c8e52f1b87b3db2/php/php-mock/php-mock-phpunit/php-mock-phpunit.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-mock-phpunit-1.1.1-1.remi.src.rpm
Description: 
Mock built-in PHP functions (e.g. time()) with PHPUnit.
This package relies on PHP's namespace fallback policy.
No further extension is needed.

Fedora Account System Username: remi
Comment 2 Shawn Iwinski 2016-04-12 14:50 EDT
Created attachment 1146610 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.0 DB built Mar 07 2016 07:28:32 CET
Comment 3 Shawn Iwinski 2016-04-12 14:51 EDT
Created attachment 1146611 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.0 DB built Mar 07 2016 07:28:32 CET
Comment 4 Shawn Iwinski 2016-04-12 14:52 EDT
Created attachment 1146614 [details]
fedora-review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1306972
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Shawn Iwinski 2016-04-12 14:54:24 EDT
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required



[!]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

     After initial import, fix "W: summary-ended-with-dot"



No blockers.

===== APPROVED =====
Comment 6 Gwyn Ciesla 2016-04-13 09:06:36 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-mock-phpunit
Comment 7 Fedora Update System 2016-04-13 09:53:37 EDT
php-mock-phpunit-1.1.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c6aac73ae7
Comment 8 Fedora Update System 2016-04-13 09:53:44 EDT
php-mock-phpunit-1.1.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5b3c597e9
Comment 9 Fedora Update System 2016-04-13 17:22:55 EDT
php-mock-phpunit-1.1.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c6aac73ae7
Comment 10 Fedora Update System 2016-04-14 00:52:13 EDT
php-mock-phpunit-1.1.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5b3c597e9
Comment 11 Fedora Update System 2016-04-17 19:41:20 EDT
php-mock-phpunit-1.1.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-04-21 21:22:22 EDT
php-mock-phpunit-1.1.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.